com.holonplatform.jaxrs.client.internal

## Class JaxrsAsyncRestClientFactory

- java.lang.Object
- - com.holonplatform.jaxrs.client.internal.JaxrsAsyncRestClientFactory

- All Implemented Interfaces:
    com.holonplatform.async.http.AsyncRestClientFactory

      @Priority(value=100)
      public class JaxrsAsyncRestClientFactory
      extends Object
      implements com.holonplatform.async.http.AsyncRestClientFactory

  A `AsyncRestClientFactory` to provide JAX-RS `AsyncRestClient` implementations using `JaxrsClientAsyncRestClient`.
  Since:
    5.2.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.async.http.AsyncRestClientFactory

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsAsyncRestClientFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.async.http.AsyncRestClient` | `create(ClassLoader classLoader)`
    `Class<?>` | `getRestClientImplementationClass()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxrsAsyncRestClientFactory

          public JaxrsAsyncRestClientFactory()

  - ### Method Detail

    - #### getRestClientImplementationClass

          public Class<?> getRestClientImplementationClass()

      Specified by:
        `getRestClientImplementationClass` in interface `com.holonplatform.async.http.AsyncRestClientFactory`

    - #### create

          public com.holonplatform.async.http.AsyncRestClient create(ClassLoader classLoader)
                                                              throws com.holonplatform.http.exceptions.RestClientCreationException

      Specified by:
        `create` in interface `com.holonplatform.async.http.AsyncRestClientFactory`
      Throws:
        `com.holonplatform.http.exceptions.RestClientCreationException`

Copyright © 2019 The Holon Platform. All rights reserved.